Package wx :: Module grid :: Class GridEvent

[frames | no frames]

## Type GridEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            GridEvent

Proxy of C++ GridEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
bool | `AltDown(self)`
bool | `CmdDown(self)`
bool | `ControlDown(self)`
int | `GetCol(self)`
Point | `GetPosition(self)`
int | `GetRow(self)`
bool | `MetaDown(self)`
bool | `Selecting(self)`
bool | `ShiftDown(self)`

Property Summary
| `Col`: See `GetCol`
| `Position`: See `GetPosition`
| `Row`: See `GetRow`
| `thisown`: The membership flag

Method Details

### __init__(self, id, type, obj, row=-1, col=-1, x=-1, y=-1, sel=True, control=False, shift=False, alt=False, meta=False)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### Col

See `GetCol`

  Get Method:
    `GetCol`(self)

### Position

See `GetPosition`

  Get Method:
    `GetPosition`(self)

### Row

See `GetRow`

  Get Method:
    `GetRow`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218673748(...)
  Set Method:
    unknown--1218673692(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net